Bug 375570 - XMP sidecar files are not read for videos when importing metadata
Summary: XMP sidecar files are not read for videos when importing metadata
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Sidecar (show other bugs)
Version: 5.8.0
Platform: Appimage Linux
: NOR normal with 25 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-26 00:44 UTC by meku
Modified: 2018-03-05 12:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description meku 2017-01-26 00:44:24 UTC
In settings:
- Write information to Metadata is enabled.
- Read & Write to sidecar files is enabled.

Preparation:
Write Tags to Videos using Digikam and XMP sidecar files are written for videos.

Bug:
Reread metadata does not load from XMP sidecar files for Videos.
Comment 1 meku 2017-03-08 11:09:42 UTC
Additional detail from my testing, when is XMP sidecar file used:
- YES when modifying the tags or metadata of a video.
- NO when selecting "Write metadata to image"
- NO when selecting "Reread metadata from image"
- NO when using Database maintenance to sync to/from files.

This bug only happens for video files, the handling of XMP sidecar for RAW files appears to be correct.
Comment 2 meku 2017-08-12 10:28:22 UTC
Update for 5.7.0-prerelease:

Sidecar appears to be written for all sync actions as expected now.

Sidecar is read for videos, it loads some metadata such as Ratings but fails to load other metadata such as the Captions or Tags.
Comment 3 Andrius 2018-01-30 22:39:39 UTC
I confirm the bug on 5.9.0

More details here: https://bugs.kde.org/show_bug.cgi?id=389619

Geolocation is being ignored as well.
Comment 4 caulier.gilles 2018-03-05 12:00:55 UTC
Git commit 907f7d8ef3428930e2b3502a7e0d597cfaad1030 by Gilles Caulier.
Committed on 05/03/2018 at 11:56.
Pushed by cgilles into branch 'master'.

Manage video as image : always parse all important file while collection scanning when video information populate the DB.
Related: bug 389619, bug 377133, bug 386921
FIXED-IN: 5.9.0

M  +11   -2    libs/database/item/imagescanner.cpp

https://commits.kde.org/digikam/907f7d8ef3428930e2b3502a7e0d597cfaad1030